<?php
/**
 * @version		$Id: view.html.php 12592 2009-08-01 08:49:56Z hackwar $
 * @package		Joomla.Administrator
 * @subpackage	Templates
 * @copyright	Copyright (C) 2005 - 2009 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

/**
 * HTML View class for the Templates component
 *
 * @static
 * @package		Joomla.Administrator
 * @subpackage	Templates
 * @since 1.6
 */
class TemplatesViewPrevuuw extends JView
{
	protected $url = null;
	protected $tp = null;
	protected $template = null;

	public function display($tpl = null)
	{
		JToolBarHelper::title(JText::_('Template Manager'), 'thememanager');
		JToolBarHelper::custom('edit', 'back.png', 'back_f2.png', 'Back', false, false);

		require_once JPATH_COMPONENT.DS.'helpers'.DS.'template.php';

		// Initialize some variables
		$option 	= JRequest::getCmd('option');
		$id 		= JRequest::getVar('id', '', 'method', 'int');
		$template	= TemplatesHelper::getTemplateName($id);
		$client		= &JApplicationHelper::getClientInfo(JRequest::getVar('client', '0', '', 'int'));
		$tp			= true;
		$url		= $client->id ? JURI::base() : JURI::root();

		if (!$template)
		{
			return JError::raiseWarning(500, JText::_('Template not specified'));
		}

		// Set FTP credentials, if given
		jimport('joomla.client.helper');
		JClientHelper::setCredentialsFromRequest('ftp');

		$this->assignRef('option',		$option);
		$this->assignRef('client',		$client);
		$this->assignRef('id',			$id);
		$this->assignRef('template',	$template);
		$this->assignRef('tp',			$tp);
		$this->assignRef('url',			$url);

		parent::display($tpl);
	}
}
