<?php
/**
 * @version		$Id: sessionhandlers.php 12460 2009-07-05 10:15:08Z eddieajau $
 * @copyright	Copyright (C) 2005 - 2009 Open Source Matters, Inc. All rights reserved.
 * @copyright	Copyright (C) 2008 - 2009 JXtended, LLC. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('JPATH_BASE') or die;

jimport('joomla.html.html');
require_once dirname(__FILE__).DS.'list.php';

/**
 * Form Field class for the Joomla Framework.
 *
 * @package		Joomla.Framework
 * @subpackage	Form
 * @since		1.6
 */
class JFormFieldSessionHandlers extends JFormFieldList
{
	/**
	 * The field type.
	 *
	 * @var		string
	 */
	public $type = 'SessionHandlers';

	/**
	 * Method to get a list of options for a list input.
	 *
	 * @return	array		An array of JHtml options.
	 */
	protected function _getOptions()
	{
		// Get the session handlers.
		jimport('joomla.session.session');
		$stores		= JSession::getStores();
		$options	= array();
		
		// Convert to name => name array.
		foreach ($stores as $store) {
			$options[$store] = $store;
		}

		// Merge the options together.
		$options	= array_merge(
						parent::_getOptions(),
						$options
					);

		return $options;
	}
}